DSCRATCH_SIZE 		.equ	4
PEEWEE_QSIZE 		.equ	517
PEEWEE_HRC_QSIZE	.equ	141

	struct	iSPAD

	vuarr	i_lo,DSCRATCH_SIZE 		

	vuarr	i_FBT,4
	vuarr	i_CST,4
	vuarr	i_SST,4

	vud	i_angConsts
	vud	i_sinTaylor
	vud	i_cosTaylor

	vud	i_clrTag         		; a sprite giftag
	vud	i_a_dTag			; an A_D pair giftag
	vud	i_a_dData
	vud	i_nopTag	       		; nops
	vud	i_spr2Tag       		; path2 sprite
	vud	i_sprTag	    		; the sprite
	vud	i_ptTag  	       		; POINT..    XYZF  
	vud	i_fishTag	       		; POLY_F3..  STQ/RGBA/XYZF x 3  - initially - just pomts
	vud	i_pw1Tag	   		; POLY_F3..  STQ/RGBA/XYZF x 3  - initially - just pomts
	vud	i_pw2Tag	       		; POLY_F3..  STQ/RGBA/XYZF x 3  - initially - just pomts
	vud	i_linTag			; LINE_G2 : gouraud RGB,XYZ,RGB,XYZ

	vud	i_randLatch
	vud	i_randSave

	vud	i_camConsts			; Sx,Sy,A,B
			; .x=Sx
			; .y=Sy
			; .z=A
			; .w=B
	
	vuarr	i_peeweeData,PEEWEE_QSIZE
	vuarr	i_peeweeHRC,PEEWEE_HRC_QSIZE

	vulog	i_initTexture	

;***************************************************************************** now main data


	vud	d_l_FB	    		; a= back(main_render), b=front(curr_visible)
	vud 	d_bgColour		; bg color

	vud	d_icontrolData1  	; control data	
		 	     			; .x = frame count
	       					; .y = cameraMode - 0=orbit 
		      				; .z = main mode .. 0=fish, 1=peewee
		      				; .w = old main mode

	vud	d_icontrolData2 	; control data	
		      		  		; .x = pad data
		      				; .y = old pad data
						; .z = number of peewee done
						; worldTime

	vud	d_fcontrolData		; float constants
	    					; .x = eye distance
		       				; .y = aspect ratioX	
		      				; .z = aspect ratioY
						; .w = rand saved per frame	

	vud	d_camLocal		; -Sxh,-Syh,A,B
	vud	d_camControl		; phi/theta/r,-
	


	vud	d_bigFish0		; 
	vud	d_bigFish1		; 
	vud	d_bigFish2		; 
	vud	d_bigFish3		; 
	
	vud	d_cameraXLeft		; camera left vector
	vud	d_cameraYUp		; up vector to camera
	vud	d_cameraZAhead  	; Z
	vud	d_cameraLocation 	; location of the camera
	vud	d_cameraLookAt		; where camera looks at
 
	vmat	d_world2cam
	
	vmat	d_world2telly	

	vud	d_hrcXleft  		; .w = address of hierarcy
	vud	d_hrcYup		; .w = time to eval at
	vud	d_hrcZahead   	
	vud	d_hrcLoc
	

	vuarr	d_theAnimObj,16*2	

	vulog	d_base_size

	vuarr	p_pwCID,4*20		; well 18 deep.. I think?
	vuarr	p_pwSCMD,28+2		; 28 at once.. but what the hell
	vuarr	p_outBuffer,1+84+6  	; room for one more...

	vulog	dd_base_size




	vulog	peewee_base
