;
; 	it's time to....do some coding..
;

		.include	"basic_vu.i"
		.include	"vumacros.m"
		.include	"spadz.i"
		.include	"gs.m"
		.include	"pads.i"
		.include	"dmlng.i"
		.include	"spadz.i"

		.init_vf_all
		.init_vi_all
		.vu
		
		.syntax		new

NUM_PEEWEE	.equ	170	; 190  in the original.. less for ps2linux to stay in a frame..


	--enter
	--endenter

demu_Start:
	ilw.x		first_flag,0(vi00)x
	ibne		first_flag,vi00,not_first_call

	.include	"vcl/init.vcl"


not_first_call:

;******************************************************************************
;	tofr handles top of frame logic
;******************************************************************************

	.include	"vcl/tofr.vcl"	; include the top of frame handling code

;******************************************************************************
;	if an init was requested icont1.w .. then.. do it 
;******************************************************************************



       	ilw.w  		mode_flip,d_icontrolData1(vi00)w	; new mode strobe ?
       	ibeq   		mode_flip,vi00,skip_init 		; if value not zero..
	

 	.include	"vcl/pw_init.vcl"
	
	isw.w		vi00,d_icontrolData1(vi00)w 	; flush new mode strobe	

;******************************************************************************
;	get here if no init requried
;******************************************************************************

skip_init:

	.include	"vcl/gs_clear.vcl"
	.include	"vcl/cam_pads.vcl"	
	.include	"vcl/cam_mats.vcl"	


;******************************************************************************
;
;	set up walk anim - anim decode assumes vf31=MAX_FLOAT,vi15 where to store
;
;******************************************************************************

;	set up peewee for walk


      	lq.x		vf31,i_angConsts(vi00)	; largest float
      	iaddiu 		vi15,vi00,i_peeweeHRC
      	max   		vf31,vf00,vf31[x]   	; expand to all		
	bal    		ret,W_ANIM

;******************************************************************************
;	now process te peewees
;******************************************************************************

	isw.z  		vi00,d_icontrolData2(vi00)z		; reset pw_count	
	lq     		tmp,i_randLatch(vi00)			; get the rand latch
	sq     		tmp,i_randSave(vi00)			; save it


bloop:
	.include	"vcl/pw_update.vcl" 		; update just fills out pw struct 0
	.include	"vcl/pw_hset.vcl"		; set up the hrc 
	.include	"vcl/hrc_build.vcl"		; build the hrc
      	.include	"vcl/pw_draw.vcl"		; draw the models

       	ilw.z 		pw_count,d_icontrolData2(vi00)z    		; bump the done count
       	iaddiu		pw_count,pw_count,1
       	isw.z 		pw_count,d_icontrolData2(vi00)z
	
	
	iaddiu 		pw_half,vi00,NUM_PEEWEE>>1   			; have we done half the peewees?
	ibne   		pw_half,pw_count,not_half
      	
	; if we've done the first lot of peewees, now flip to the second anim

	lq.x  		vf31,i_angConsts(vi00)	; largest float
      	max   		vf31,vf00,vf31[x]		
      	iaddiu 		vi15,vi00,i_peeweeHRC	   	
	bal    		ret,V_ANIM
	
not_half:	

       	iaddiu		num_peewee,vi00,NUM_PEEWEE 		
       	ibne		pw_count,num_peewee,bloop	  		; done all the peewees?
	
;******************************************************************************
exit:
	iaddiu		tmp,vi00,1
	isw.x		tmp,0(vi00)x 	;	set not first flag	

	--exit
	--endexit

;******************************************************************************
;	now the raw mode packed data
;******************************************************************************



W_ANIM:
	.raw
	.include	"data/w_anim2.vsm"
	.endraw
	jr	ret

V_ANIM:
	.raw
	.include	"data/v_anim2.vsm"
	.endraw
	jr	ret

demu_End:

; end of story..

; peewee (c) stewart/care from lamers united.  
