; point primitive for draw

; lines are 2 points..



	struct	ringMsg
	vud	rm_RingConsts		; [text][radial-dist][y_offset][separation]
	vud	rm_AngRot		; [angular velocity][current_rotate]
	endst	rm_sizeof    	

	struct	lnPrim
	vud	ln_rgba_0
	vud	ln_xyzf2_0
	vud	ln_rgba_1   		; ok - constant cols per letter by so what?	
	vud	ln_xyzf2_1
	vud	ln_sizeof


	struct	ptPrim
	vud	pt_rgba	
	vud	pt_xyzf2
	endst	pt_sizeof	

; iBase structure, followed by messages

	struct	iBase

	varray	ib_WorkArea,32		; 32 quad work area
	
	vud	ib_Pt_gifTag	 	; for points
	vud	ib_Ln_gifTag	 	; for points
	vud	ib_Tri_gifTag	 	; for points

	
	vud	ib_ClipData		; m_Near,m_Far,ScreenWidth,ScreenHeight
	vud	ib_TellyInfo

	vud	ib_CameraLocation	; location of camera
	vud	ib_CameraUpVector	; camera up direction
	vud	ib_CameraFaceDirection	; where camera faces

	vumat	ib_CameraOrientation 	; this is transform for camera object.. so - CAMERA_LOCAL_SPACE->WORLD_SPACE transform
	vumat	ib_toCamera
	vumat	ib_PerspMatrix
	vumat	ib_toScreen

	vud	ib_Control0
	vud	ib_txtRot
	vud	ib_objRot

	vud	ib_angConstants
	vud	ib_sTaylor		; sine terms
	vud	ib_cTaylor		; cosine terms

	vud	ib_Vector      		; given a rotation vector, make following matrix	

	vumat	ib_rotMatrix



	endst	ib_sizeof

ib_CameraLoc   	.equ	ib_sizeof
MsgBase		.equ	ib_sizeof+1	; start the message after the iBase

; render buffers
; at the moment - the iBase+font+msg is 174 quads..

RBUFF_SIZE	.equ	256 		
ST_BASE0  	.equ	1023-(RBUFF_SIZE*2)
ST_BASE1   	.equ	1023-RBUFF_SIZE

; messages:
; messages are circular loops of text.. format is:
; <quad>  .x = ptr to text,.y = radial distance,.z=rotate_inc,.w=current_angle 
 

